package com.ruoyi.bst.withdraw.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.bst.withdraw.mapper.WithdrawMapper;
import com.ruoyi.bst.withdraw.domain.Withdraw;
import com.ruoyi.bst.withdraw.domain.WithdrawVO;
import com.ruoyi.bst.withdraw.domain.WithdrawQuery;
import com.ruoyi.bst.withdraw.service.WithdrawService;

/**
 * 提现Service业务层处理
 *
 * @author ruoyi
 * @date 2025-04-07
 */
@Service
public class WithdrawServiceImpl implements WithdrawService
{
    @Autowired
    private WithdrawMapper withdrawMapper;

    /**
     * 查询提现
     *
     * @param id 提现主键
     * @return 提现
     */
    @Override
    public WithdrawVO selectWithdrawById(Long id)
    {
        return withdrawMapper.selectWithdrawById(id);
    }

    /**
     * 查询提现列表
     *
     * @param withdraw 提现
     * @return 提现
     */
    @Override
    public List<WithdrawVO> selectWithdrawList(WithdrawQuery withdraw)
    {
        return withdrawMapper.selectWithdrawList(withdraw);
    }

    /**
     * 新增提现
     *
     * @param withdraw 提现
     * @return 结果
     */
    @Override
    public int insertWithdraw(Withdraw withdraw)
    {
        withdraw.setCreateTime(DateUtils.getNowDate());
        return withdrawMapper.insertWithdraw(withdraw);
    }

    /**
     * 修改提现
     *
     * @param withdraw 提现
     * @return 结果
     */
    @Override
    public int updateWithdraw(Withdraw withdraw)
    {
        return withdrawMapper.updateWithdraw(withdraw);
    }

    /**
     * 批量删除提现
     *
     * @param ids 需要删除的提现主键
     * @return 结果
     */
    @Override
    public int deleteWithdrawByIds(Long[] ids)
    {
        return withdrawMapper.deleteWithdrawByIds(ids);
    }

    /**
     * 删除提现信息
     *
     * @param id 提现主键
     * @return 结果
     */
    @Override
    public int deleteWithdrawById(Long id)
    {
        return withdrawMapper.deleteWithdrawById(id);
    }
}
