package com.ruoyi.bst.withdraw.utils;

import com.ruoyi.bst.withdraw.domain.WithdrawVO;
import com.ruoyi.bst.withdraw.domain.enums.WithdrawServiceType;
import com.ruoyi.bst.withdraw.domain.vo.WithdrawAmountVO;
import com.ruoyi.common.core.domain.vo.UserVO;
import com.ruoyi.common.exception.ServiceException;
import com.ruoyi.common.utils.ServiceUtil;
import org.apache.commons.lang3.StringUtils;

import java.math.BigDecimal;

/**
 * @author wjh
 * 2025/4/7
 */
public class WithdrawUtil {


    /**
     * 查询提现服务费
     */
    public static WithdrawAmountVO calcAmount(UserVO user, BigDecimal amount) {
        if (user == null || amount == null || amount.compareTo(BigDecimal.ZERO) <= 0) {
            return null;
        }

        String type = user.getWithdrawServiceType();
        BigDecimal value = user.getWithdrawServiceValue();
        ServiceUtil.assertion(StringUtils.isBlank(type), "提现服务费方式为空");
        ServiceUtil.assertion(value == null, "提现服务费为空");

        WithdrawAmountVO vo = new WithdrawAmountVO();
        vo.setType(type);

        if (WithdrawServiceType.POINT.getCode().equals(type)) {
            vo.setPoint(value);
            BigDecimal serviceAmount = value.multiply(amount).divide(new BigDecimal(100), 2, BigDecimal.ROUND_HALF_UP);
            vo.setAmount(serviceAmount);
        } else if(WithdrawServiceType.FIXED.getCode().equals(type)) {
            vo.setAmount(value);
        } else {
            throw new ServiceException("暂不支持类型为" + type + "的提现服务费方式");
        }

        return vo;

    }
}
